Bug 206508 - Please provide bochs-debuggerand bochs-gdb versions
Summary: Please provide bochs-debuggerand bochs-gdb versions
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: bochs   
(Show other bugs)
Version: 5
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Hans de Goede
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-09-14 19:30 UTC by H. Peter Anvin
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-22 20:28:25 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description H. Peter Anvin 2006-09-14 19:30:04 UTC
Description of problem:

Bochs is extremely useful for debugging low-level programs like bootloaders. 
Unfortunately, there are two ways of doing it -- Bochs builtin debugger, which
is better for debugging real- or cross-mode programs, and the Bochs gdb stub,
which is better for debugging protected mode programs.

Worse, this is a compile-time option in Bochs.

It would be nice if two RPMs with slighly altered versions of the bochs binary
could be provided -- bochs-debugger with the builtin debugger
(--enable-x86-debugger --enable-debugger) and bochs-gdb with the gdb stub
(--enable-x86-debugger --enable-gdb-stub).


Version-Release number of selected component (if applicable):
2.3

Comment 1 Hans de Goede 2006-09-14 19:49:57 UTC
Sounds reasonable, unfortunatly I'm rather busy the coming days / weeks. But I
would be more then happy to take a specfile patch for this.


Comment 2 Hans de Goede 2006-09-22 20:28:25 UTC
bochs-2.3-2 should show up on a mirror near you soon and includes the 2
requested special versions.



Note You need to log in before you can comment on or make changes to this bug.